
Application: gvSIG desktop - gvSIG bugs #600
Error persisting a project after new shape creation
05/09/2012 04:48 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 100%
Priority: Immediate Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Application
Target version: 2.0.0-alpha6
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Application gvSIG (org.gvsig.app)
Description

Follow this steps:

    1. Open gvSIG
    2. Create a View
    3. Create a new Shape using View > New Layer
    4. Select Shape type
    5. Select target file (whatever)
    6. Add a string and a point field.
    7. Check add layer to view
    8. Click Finish
    9. Save project

This produce this exception:

INFO AWT-EventQueue-1 org.gvsig.andami.ui.mdiFrame.MDIFrame - ExtensionDecorator.execute('GUARDAR')
INFO AWT-EventQueue-1 org.gvsig.andami.plugins.ExtensionDecorator - ProjectExtension.execute('GUARDAR')
INFO AWT-EventQueue-1 org.gvsig.andami.messages.NotificationManager - writinng_project: kk.gvsproj
WARN AWT-EventQueue-1 org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.SingleSymbolLegend - FIXME:
SingleSymbolLegend.saveToState
WARN AWT-EventQueue-1 org.gvsig.tools.persistence.impl.exception.PersistenceInvalidTypeForPropertyException - The type
expected for SHPNewStoreParameters.FeatureType is Object and is
org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType.
WARN AWT-EventQueue-1 org.gvsig.i18n.Messages - org.gvsig.i18n.Messages -- Cannot find translation for FeatureType
ERROR AWT-EventQueue-1 org.gvsig.andami.messages.NotificationManager - Error guardando el proyecto: kk.gvsproj
Error getting or setting the state of an object.
  The type expected for SHPNewStoreParameters.FeatureType is Object and is
org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType.
  Errors found validating persistent state.
  Errors found validating 'org.gvsig.fmap.dal.store.shp.SHPNewStoreParameters'.
  Errors found validating 'Persistence:SHPNewStoreParameters'.
  Field 'FeatureType': Value required.
org.gvsig.tools.persistence.exception.PersistenceException: Error getting or setting the state of an object.
  The type expected for SHPNewStoreParameters.FeatureType is Object and is
org.gvsig.fmap.dal.feature.impl.DefaultEditableFeatureType.
  Errors found validating persistent state.
  Errors found validating 'org.gvsig.fmap.dal.store.shp.SHPNewStoreParameters'.
  Errors found validating 'Persistence:SHPNewStoreParameters'.
  Field 'FeatureType': Value required.

The layer has been created correctly.

Associated revisions
Revision 38444 - 06/21/2012 10:02 AM - Cesar Ordiñana

Don't use a NewStoreDataParameters to open the just created layer.
Fixes #600

Revision 38445 - 06/21/2012 10:48 AM - Cesar Ordiñana

Don't use a NewStoreDataParameters to open the just created layer.
Fixes #600

History
#1 - 05/30/2012 03:15 PM - Manuel Madrid
- Priority changed from High to Immediate
- Target version set to 2.0.0-rc1

#2 - 06/21/2012 01:33 PM - Cesar Ordiñana
- Status changed from New to In progress
- Assignee set to Cesar Ordiñana

#3 - 06/21/2012 04:02 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100

Applied in changeset r38444.

#4 - 06/24/2012 09:31 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-alpha6

#5 - 07/03/2012 09:25 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2049.
